## ESourceSelectorDialog

ESourceSelectorDialog

## Functions

GtkWidget * | e_source_selector_dialog_new ()
ESourceRegistry * | e_source_selector_dialog_get_registry ()
const gchar * | e_source_selector_dialog_get_extension_name ()
ESourceSelector * | e_source_selector_dialog_get_selector ()
ESource * | e_source_selector_dialog_peek_primary_selection ()
ESource * | e_source_selector_dialog_get_except_source ()
void | e_source_selector_dialog_set_except_source ()

## Properties

ESource * | except-source | Write
gchar * | extension-name | Write / Construct Only
ESourceRegistry * | registry | Write / Construct Only
ESourceSelector * | selector | Read

## Types and Values

struct | ESourceSelectorDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── ESourceSelectorDialog

## Implemented Interfaces

ESourceSelectorDialog implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### e_source_selector_dialog_new ()

    GtkWidget *
    e_source_selector_dialog_new (GtkWindow *parent,
                                  ESourceRegistry *registry,
                                  const gchar *extension_name);

Displays a list of sources from `registry` having an extension named `extension_name` in a dialog window. The sources are grouped by backend or groupware account, which are described by the parent source.

#### Parameters

parent | a parent window |
registry | an ESourceRegistry |
extension_name | the name of an ESource extension |

#### Returns

a new ESourceSelectorDialog

### e_source_selector_dialog_get_registry ()

    ESourceRegistry *
    e_source_selector_dialog_get_registry (ESourceSelectorDialog *dialog);

Returns the ESourceRegistry passed to `e_source_selector_dialog_new()`.

#### Parameters

dialog | an ESourceSelectorDialog |

#### Returns

the ESourceRegistry for `dialog`

Since: 3.6

### e_source_selector_dialog_get_extension_name ()

    const gchar *
    e_source_selector_dialog_get_extension_name
                                   (ESourceSelectorDialog *dialog);

Returns the extension name passed to `e_source_selector_dialog_new()`.

#### Parameters

dialog | an ESourceSelectorDialog |

#### Returns

the extension name for `dialog`

Since: 3.6

### e_source_selector_dialog_get_selector ()

    ESourceSelector *
    e_source_selector_dialog_get_selector (ESourceSelectorDialog *dialog);

Returns the ESourceSelector widget embedded in `dialog` .

#### Parameters

dialog | an ESourceSelectorDialog |

#### Returns

the ESourceSelector widget

Since: 3.6

### e_source_selector_dialog_peek_primary_selection ()

    ESource *
    e_source_selector_dialog_peek_primary_selection
                                   (ESourceSelectorDialog *dialog);

Peek the currently selected source in the given `dialog` .

#### Parameters

dialog | an ESourceSelectorDialog |

#### Returns

the selected ESource

### e_source_selector_dialog_get_except_source ()

    ESource *
    e_source_selector_dialog_get_except_source
                                   (ESourceSelectorDialog *dialog);

Get the currently ESource, which cannot be selected in the given `dialog` . Use `e_source_selector_dialog_set_except_source()` to set such.

#### Parameters

dialog | an ESourceSelectorDialog |

#### Returns

the ESource, which cannot be selected

Since: 3.18

### e_source_selector_dialog_set_except_source ()

    void
    e_source_selector_dialog_set_except_source
                                   (ESourceSelectorDialog *dialog,
                                    ESource *except_source);

Set the `except_source` , the one which cannot be selected in the given `dialog` . Use `NULL` to allow to select all sources.

#### Parameters

dialog | an ESourceSelectorDialog |
except_source | an ESource, which cannot be selected, or `NULL`. | [allow-none]

Since: 3.18

## Types and Values

### struct ESourceSelectorDialog

    struct ESourceSelectorDialog;

## Property Details

### The `“except-source”` property

      “except-source”            ESource *

Flags: Write

### The `“extension-name”` property

      “extension-name”           gchar *

Flags: Write / Construct Only

Default value: NULL

### The `“registry”` property

      “registry”                 ESourceRegistry *

Flags: Write / Construct Only

### The `“selector”` property

      “selector”                 ESourceSelector *

Flags: Read